Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 1308)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 1309)
@@ -20,12 +20,15 @@
 ! Current revisions:
 ! -----------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1308 2014-03-13 14:58:42Z fricke
 ! +netcdf_data_format_save
 ! Calculate fixed number of output time levels for parallel netcdf output.
 ! For masked data, parallel netcdf output is not tested so far, hence
 ! netcdf_data_format is switched back to non-paralell output.
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1299 2014-03-06 13:15:21Z heinze
Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 1308)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 1309)
@@ -20,4 +20,11 @@
 ! Current revisions:
 ! -----------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1308 2014-03-13 14:58:42Z fricke
 ! +local_2d_sections, local_2d_sections_l, ns
 ! Check, if the limit of the time dimension is exceeded for parallel output
@@ -26,8 +33,4 @@
 ! - Cross sections are first stored on a local array and are written
 !   collectively to the output file by all PEs.
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1115 2013-03-26 18:16:16Z hoffmann
Index: palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_3d.f90	(revision 1308)
+++ palm/trunk/SOURCE/data_output_3d.f90	(revision 1309)
@@ -20,11 +20,14 @@
 ! Current revisions:
 ! ------------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1308 2014-03-13 14:58:42Z fricke
 ! Check, if the limit of the time dimension is exceeded for parallel output
 ! To increase the performance for parallel output, the following is done:
 ! - Update of time axis is only done by PE0
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1244 2013-10-31 08:16:56Z raasch
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 1308)
+++ palm/trunk/SOURCE/header.f90	(revision 1309)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! output of the fixed number of output time levels
-! output_format adjusted for masked data if netcdf_data_format > 5
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1308 2014-03-13 14:58:42Z fricke
+! output of the fixed number of output time levels
+! output_format adjusted for masked data if netcdf_data_format > 5
 !
 ! 1299 2014-03-06 13:15:21Z heinze
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 1308)
+++ palm/trunk/SOURCE/modules.f90	(revision 1309)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! +ntdim_2d_xy, ntdim_2d_xz, ntdim_2d_yz, ntdim_3d
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1308 2014-03-13 14:58:42Z fricke
+! +ntdim_2d_xy, ntdim_2d_xz, ntdim_2d_yz, ntdim_3d
 !
 ! 1257 2013-11-08 15:18:40Z raasch
Index: palm/trunk/SOURCE/netcdf.f90
===================================================================
--- palm/trunk/SOURCE/netcdf.f90	(revision 1308)
+++ palm/trunk/SOURCE/netcdf.f90	(revision 1309)
@@ -23,4 +23,11 @@
 ! Current revisions:
 ! ------------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1308 2014-03-13 14:58:42Z fricke
 ! +ntime_count, oldmode
 ! Adjust NF90_CREATE and NF90_OPEN statement for parallel output
@@ -30,8 +37,4 @@
 ! - No fill is set for all variables
 ! Check the number of output time levels for restart jobs
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1206 2013-07-18 12:49:16Z witha
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 1308)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 1309)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! +do2d_xy_time_count, do2d_xz_time_count, do2d_yz_time_count,
-! +do3d_time_count
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1308 2014-03-13 14:58:42Z fricke
+! +do2d_xy_time_count, do2d_xz_time_count, do2d_yz_time_count,
+! +do3d_time_count
 !
 ! 1253 2013-11-07 10:48:12Z fricke
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 1308)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 1309)
@@ -20,11 +20,14 @@
 ! Current revisions:
 ! ------------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1308 2014-03-13 14:58:42Z fricke
 ! +netcdf_data_format_save
 ! For masked data, parallel netcdf output is not tested so far, hence 
 ! netcdf_data_format is switched back to non-paralell output.
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1276 2014-01-15 13:40:41Z heinze
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 1308)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 1309)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! +do2d_xy_time_count, do2d_xz_time_count, do2d_yz_time_count,
-! +do3d_time_count
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1308 2014-03-13 14:58:42Z fricke
+! +do2d_xy_time_count, do2d_xz_time_count, do2d_yz_time_count,
+! +do3d_time_count
 !
 ! 1241 2013-10-30 11:36:58Z heinze