Index: palm/trunk/SCRIPTS/batch_nc2vdf
===================================================================
--- palm/trunk/SCRIPTS/batch_nc2vdf	(revision 1308)
+++ palm/trunk/SCRIPTS/batch_nc2vdf	(revision 1310)
@@ -14,5 +14,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2012  Leibniz University Hannover
+# Copyright 1997-2014  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/batch_scp
===================================================================
--- palm/trunk/SCRIPTS/batch_scp	(revision 1308)
+++ palm/trunk/SCRIPTS/batch_scp	(revision 1310)
@@ -17,5 +17,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2012  Leibniz University Hannover
+# Copyright 1997-2014  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/compile_tutorial
===================================================================
--- palm/trunk/SCRIPTS/compile_tutorial	(revision 1308)
+++ palm/trunk/SCRIPTS/compile_tutorial	(revision 1310)
@@ -15,5 +15,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2012  Leibniz University Hannover
+# Copyright 1997-2014  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/hlrn_watchdog
===================================================================
--- palm/trunk/SCRIPTS/hlrn_watchdog	(revision 1308)
+++ palm/trunk/SCRIPTS/hlrn_watchdog	(revision 1310)
@@ -15,5 +15,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2012  Leibniz University Hannover
+# Copyright 1997-2014  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/img2stereo
===================================================================
--- palm/trunk/SCRIPTS/img2stereo	(revision 1308)
+++ palm/trunk/SCRIPTS/img2stereo	(revision 1310)
@@ -15,5 +15,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2012  Leibniz University Hannover
+# Copyright 1997-2014  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/img2video
===================================================================
--- palm/trunk/SCRIPTS/img2video	(revision 1308)
+++ palm/trunk/SCRIPTS/img2video	(revision 1310)
@@ -15,5 +15,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2012  Leibniz University Hannover
+# Copyright 1997-2014  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/mbuild
===================================================================
--- palm/trunk/SCRIPTS/mbuild	(revision 1308)
+++ palm/trunk/SCRIPTS/mbuild	(revision 1310)
@@ -17,5 +17,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2012  Leibniz University Hannover
+# Copyright 1997-2014  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 1308)
+++ palm/trunk/SCRIPTS/mrun	(revision 1310)
@@ -17,5 +17,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2012  Leibniz University Hannover
+# Copyright 1997-2014  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/mrungui
===================================================================
--- palm/trunk/SCRIPTS/mrungui	(revision 1308)
+++ palm/trunk/SCRIPTS/mrungui	(revision 1310)
@@ -15,5 +15,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2012  Leibniz University Hannover
+# Copyright 1997-2014  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/nc2vdf
===================================================================
--- palm/trunk/SCRIPTS/nc2vdf	(revision 1308)
+++ palm/trunk/SCRIPTS/nc2vdf	(revision 1310)
@@ -14,5 +14,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2012  Leibniz University Hannover
+# Copyright 1997-2014  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/nc2vdf.config
===================================================================
--- palm/trunk/SCRIPTS/nc2vdf.config	(revision 1308)
+++ palm/trunk/SCRIPTS/nc2vdf.config	(revision 1310)
@@ -13,5 +13,5 @@
 ; PALM. If not, see <http://www.gnu.org/licenses/>.
 ;
-; Copyright 1997-2012  Leibniz University Hannover
+; Copyright 1997-2014  Leibniz Universitaet Hannover
 ;------------------------------------------------------------------------------!
 ;
@@ -41,6 +41,5 @@
     files(0)        = "palm/current_version/JOBS/building/OUTPUT/building_3d.nc"
     files(1)        = "palm/current_version/JOBS/building/OUTPUT/building_3d.nc"
-    ;files(2)        = 
- ; path from where nc2vdf is called
+    ;files(2)        = ï¿œ ; path from where nc2vdf is called
 
 ; Insert names of variables to be taken from files specified above
Index: palm/trunk/SCRIPTS/nc2vdf.ncl
===================================================================
--- palm/trunk/SCRIPTS/nc2vdf.ncl	(revision 1308)
+++ palm/trunk/SCRIPTS/nc2vdf.ncl	(revision 1310)
@@ -13,5 +13,5 @@
 ; PALM. If not, see <http://www.gnu.org/licenses/>.
 ;
-; Copyright 1997-2012  Leibniz University Hannover
+; Copyright 1997-2014  Leibniz Universitaet Hannover
 ;------------------------------------------------------------------------------!
 ;
Index: palm/trunk/SCRIPTS/palm_simple_install
===================================================================
--- palm/trunk/SCRIPTS/palm_simple_install	(revision 1308)
+++ palm/trunk/SCRIPTS/palm_simple_install	(revision 1310)
@@ -14,5 +14,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2012  Leibniz University Hannover
+# Copyright 1997-2014  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/palm_simple_run
===================================================================
--- palm/trunk/SCRIPTS/palm_simple_run	(revision 1308)
+++ palm/trunk/SCRIPTS/palm_simple_run	(revision 1310)
@@ -14,5 +14,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2012  Leibniz University Hannover
+# Copyright 1997-2014  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/palmplot
===================================================================
--- palm/trunk/SCRIPTS/palmplot	(revision 1308)
+++ palm/trunk/SCRIPTS/palmplot	(revision 1310)
@@ -14,5 +14,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2012  Leibniz University Hannover
+# Copyright 1997-2014  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/process_dvr_output
===================================================================
--- palm/trunk/SCRIPTS/process_dvr_output	(revision 1308)
+++ palm/trunk/SCRIPTS/process_dvr_output	(revision 1310)
@@ -14,5 +14,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2012  Leibniz University Hannover
+# Copyright 1997-2014  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/release_tutorial
===================================================================
--- palm/trunk/SCRIPTS/release_tutorial	(revision 1308)
+++ palm/trunk/SCRIPTS/release_tutorial	(revision 1310)
@@ -14,5 +14,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2012  Leibniz University Hannover
+# Copyright 1997-2014  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #
Index: palm/trunk/SCRIPTS/subjob
===================================================================
--- palm/trunk/SCRIPTS/subjob	(revision 1308)
+++ palm/trunk/SCRIPTS/subjob	(revision 1310)
@@ -18,5 +18,5 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 1997-2012  Leibniz University Hannover
+# Copyright 1997-2014  Leibniz Universitaet Hannover
 #--------------------------------------------------------------------------------#
 #