Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 1312)
+++ palm/trunk/SOURCE/Makefile	(revision 1318)
@@ -20,5 +20,6 @@
 # Current revisions:
 # ------------------
-# 
+# +cpulog, dependencies for cpulog added
+# -cpu_log, cpu_statistics
 #
 # Former revisions:
@@ -142,6 +143,5 @@
 	calc_radiation.f90 calc_spectra.f90 check_for_restart.f90 \
 	check_open.f90 check_parameters.f90 close_file.f90 compute_vpt.f90 \
-	coriolis.f90 cpu_log.f90 cpu_statistics.f90 cuda_fft_interfaces.f90 \
-	data_log.f90 \
+	coriolis.f90 cpulog.f90 cuda_fft_interfaces.f90 data_log.f90 \
 	data_output_dvrp.f90 data_output_mask.f90 data_output_profiles.f90 \
 	data_output_ptseries.f90 data_output_spectra.f90 \
@@ -221,6 +221,5 @@
 
 
-advec_particles.o: modules.o
-advec_s_bc.o: modules.o
+advec_s_bc.o: modules.o cpulog.o
 advec_s_pw.o: modules.o
 advec_s_up.o: modules.o
@@ -232,5 +231,5 @@
 advec_w_pw.o: modules.o
 advec_w_up.o: modules.o
-average_3d_data.o: modules.o
+average_3d_data.o: modules.o cpulog.o
 boundary_conds.o: modules.o
 buoyancy.o: modules.o
@@ -238,5 +237,5 @@
 calc_precipitation.o: modules.o
 calc_radiation.o: modules.o
-calc_spectra.o: modules.o fft_xy.o
+calc_spectra.o: modules.o cpulog.o fft_xy.o
 check_for_restart.o: modules.o
 check_open.o: modules.o
@@ -245,16 +244,16 @@
 compute_vpt.o: modules.o
 coriolis.o: modules.o
-cpu_log.o: modules.o
+cpulog.o: modules.o
 cpu_statistics.o: modules.o
 cuda_fft_interfaces.o: cuda_fft_interfaces.f90 modules.o
 data_log.o: modules.o
-data_output_dvrp.o: modules.o
-data_output_mask.o: modules.o
-data_output_profiles.o: modules.o
-data_output_ptseries.o: modules.o
-data_output_spectra.o: modules.o
-data_output_tseries.o: modules.o
-data_output_2d.o: modules.o
-data_output_3d.o: modules.o
+data_output_dvrp.o: modules.o cpulog.o
+data_output_mask.o: modules.o cpulog.o
+data_output_profiles.o: modules.o cpulog.o
+data_output_ptseries.o: modules.o cpulog.o
+data_output_spectra.o: modules.o cpulog.o
+data_output_tseries.o: modules.o cpulog.o
+data_output_2d.o: modules.o cpulog.o
+data_output_3d.o: modules.o cpulog.o
 diffusion_e.o: modules.o
 diffusion_s.o: modules.o
@@ -263,17 +262,17 @@
 diffusion_w.o: modules.o wall_fluxes.o
 diffusivities.o: modules.o
-disturb_field.o: modules.o random_function.o
+disturb_field.o: modules.o cpulog.o random_function.o
 disturb_heatflux.o: modules.o
 eqn_state_seawater.o: modules.o
-exchange_horiz.o: modules.o
-exchange_horiz_2d.o: modules.o
+exchange_horiz.o: modules.o cpulog.o
+exchange_horiz_2d.o: modules.o cpulog.o
 fft_xy.o: cuda_fft_interfaces.o modules.o singleton.o temperton_fft.o
-flow_statistics.o: modules.o
+flow_statistics.o: modules.o cpulog.o
 global_min_max.o: modules.o
-header.o: modules.o subsidence.o
+header.o: modules.o cpulog.o subsidence.o
 impact_of_latent_heat.o: modules.o
-inflow_turbulence.o: modules.o
+inflow_turbulence.o: modules.o cpulog.o
 init_1d_model.o: modules.o
-init_3d_model.o: modules.o random_function.o advec_ws.o ls_forcing.o
+init_3d_model.o: modules.o cpulog.o random_function.o advec_ws.o ls_forcing.o
 init_advec.o: modules.o
 init_cloud_physics.o: modules.o
@@ -290,15 +289,15 @@
 local_getenv.o: modules.o
 local_stop.o: modules.o
-local_tremain.o: modules.o
-local_tremain_ini.o: modules.o
-lpm.o: modules.o
+local_tremain.o: modules.o cpulog.o
+local_tremain_ini.o: modules.o cpulog.o
+lpm.o: modules.o cpulog.o
 lpm_advec.o: modules.o
-lpm_boundary_conds.o: modules.o
-lpm_calc_liquid_water_content.o: modules.o
-lpm_collision_kernels.o: modules.o user_module.o
-lpm_data_output_particles.o: modules.o
-lpm_droplet_collision.o: modules.o lpm_collision_kernels.o
-lpm_droplet_condensation.o: modules.o lpm_collision_kernels.o
-lpm_exchange_horiz.o: modules.o
+lpm_boundary_conds.o: modules.o cpulog.o
+lpm_calc_liquid_water_content.o: modules.o cpulog.o
+lpm_collision_kernels.o: modules.o cpulog.o user_module.o
+lpm_data_output_particles.o: modules.o cpulog.o
+lpm_droplet_collision.o: modules.o cpulog.o lpm_collision_kernels.o
+lpm_droplet_condensation.o: modules.o cpulog.o lpm_collision_kernels.o
+lpm_exchange_horiz.o: modules.o cpulog.o
 lpm_extend_particle_array.o: modules.o
 lpm_extend_tails.o: modules.o
@@ -309,50 +308,50 @@
 lpm_read_restart_file.o: modules.o
 lpm_release_set.o: modules.o random_function.o
-lpm_set_attributes.o: modules.o
-lpm_sort_arrays.o: modules.o
+lpm_set_attributes.o: modules.o cpulog.o
+lpm_sort_arrays.o: modules.o cpulog.o
 lpm_write_exchange_statistics.o: modules.o
 lpm_write_restart_file.o: modules.o
-ls_forcing.o: modules.o
+ls_forcing.o: modules.o cpulog.o
 message.o: modules.o
 microphysics.o: modules.o
 modules.o: modules.f90
 netcdf.o: modules.o
-nudging.o: modules.o buoyancy.o
+nudging.o: modules.o buoyancy.o cpulog.o
 package_parin.o: modules.o
-palm.o: modules.o ls_forcing.o nudging.o
-parin.o: modules.o
+palm.o: modules.o cpulog.o ls_forcing.o nudging.o
+parin.o: modules.o cpulog.o
 plant_canopy_model.o: modules.o
-poisfft.o: modules.o fft_xy.o tridia_solver.o
-poismg.o: modules.o
+poisfft.o: modules.o cpulog.o fft_xy.o tridia_solver.o
+poismg.o: modules.o cpulog.o
 prandtl_fluxes.o: modules.o
-pres.o: modules.o poisfft.o
-print_1d.o: modules.o
+pres.o: modules.o cpulog.o poisfft.o
+print_1d.o: modules.o cpulog.o
 production_e.o: modules.o wall_fluxes.o
 prognostic_equations.o: modules.o advec_s_pw.o advec_s_up.o advec_u_pw.o \
 	advec_u_up.o advec_v_pw.o advec_v_up.o advec_w_pw.o advec_w_up.o  \
-        advec_ws.o buoyancy.o calc_precipitation.o calc_radiation.o coriolis.o \
-	diffusion_e.o diffusion_s.o diffusion_u.o diffusion_v.o diffusion_w.o \
+   advec_ws.o buoyancy.o calc_precipitation.o calc_radiation.o coriolis.o \
+	cpulog.o diffusion_e.o diffusion_s.o diffusion_u.o diffusion_v.o diffusion_w.o \
 	eqn_state_seawater.o impact_of_latent_heat.o microphysics.o \
         nudging.o plant_canopy_model.o production_e.o subsidence.o user_actions.o
 random_gauss.o: random_function.o
-read_3d_binary.o: modules.o random_function.o
+read_3d_binary.o: modules.o cpulog.o random_function.o
 read_var_list.o: modules.o
-run_control.o: modules.o
+run_control.o: modules.o cpulog.o
 set_slicer_attributes_dvrp.o: modules.o
 singleton.o: singleton.f90
 sor.o: modules.o
 subsidence.o: modules.o
-sum_up_3d_data.o: modules.o
-surface_coupler.o: modules.o
-swap_timelevel.o: modules.o
+sum_up_3d_data.o: modules.o cpulog.o
+surface_coupler.o: modules.o cpulog.o
+swap_timelevel.o: modules.o cpulog.o
 temperton_fft.o: modules.o
-time_integration.o: modules.o advec_ws.o buoyancy.o interaction_droplets_ptq.o \
+time_integration.o: modules.o advec_ws.o buoyancy.o cpulog.o interaction_droplets_ptq.o \
 	ls_forcing.o production_e.o prognostic_equations.o user_actions.o
-timestep.o: modules.o
+timestep.o: modules.o cpulog.o
 timestep_scheme_steering.o: modules.o
-transpose.o: modules.o
+transpose.o: modules.o cpulog.o
 tridia_solver.o: modules.o
 user_3d_data_averaging.o: modules.o user_module.o
-user_actions.o: modules.o user_module.o
+user_actions.o: modules.o cpulog.o user_module.o
 user_additional_routines.o: modules.o user_module.o
 user_check_data_output.o: modules.o user_module.o
@@ -380,5 +379,5 @@
 user_statistics.o: modules.o user_module.o
 wall_fluxes.o: modules.o
-write_3d_binary.o: modules.o random_function.o
+write_3d_binary.o: modules.o cpulog.o random_function.o
 write_compressed.o: modules.o
 write_var_list.o: modules.o