Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 1318)
+++ palm/trunk/SOURCE/Makefile	(revision 1319)
@@ -20,10 +20,13 @@
 # Current revisions:
 # ------------------
-# +cpulog, dependencies for cpulog added
-# -cpu_log, cpu_statistics
+# 
 #
 # Former revisions:
 # -----------------
 # $Id$
+#
+# 1318 2014-03-17 13:35:16Z raasch
+# +cpulog, dependencies for cpulog added
+# -cpu_log, cpu_statistics
 #
 # 1311 2014-03-14 12:13:39Z heinze
Index: palm/trunk/SOURCE/advec_s_bc.f90
===================================================================
--- palm/trunk/SOURCE/advec_s_bc.f90	(revision 1318)
+++ palm/trunk/SOURCE/advec_s_bc.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1092 2013-02-02 11:24:22Z raasch
Index: palm/trunk/SOURCE/average_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/average_3d_data.f90	(revision 1318)
+++ palm/trunk/SOURCE/average_3d_data.f90	(revision 1319)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! barrier argument removed from cpu_log,
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! barrier argument removed from cpu_log,
+! module interfaces removed
 !
 ! 1115 2013-03-26 18:16:16Z hoffmann
Index: palm/trunk/SOURCE/calc_spectra.f90
===================================================================
--- palm/trunk/SOURCE/calc_spectra.f90	(revision 1318)
+++ palm/trunk/SOURCE/calc_spectra.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1216 2013-08-26 09:31:42Z raasch
Index: palm/trunk/SOURCE/cpulog.f90
===================================================================
--- palm/trunk/SOURCE/cpulog.f90	(revision 1318)
+++ palm/trunk/SOURCE/cpulog.f90	(revision 1319)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! former files/routines cpu_log and cpu_statistics combined to one module,
-! which also includes the former data module cpulog from the modules-file
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! former files/routines cpu_log and cpu_statistics combined to one module,
+! which also includes the former data module cpulog from the modules-file
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 1318)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 1319)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! barrier argument removed from cpu_log.
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! barrier argument removed from cpu_log.
+! module interfaces removed
 !
 ! 1311 2014-03-14 12:13:39Z heinze
Index: palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_3d.f90	(revision 1318)
+++ palm/trunk/SOURCE/data_output_3d.f90	(revision 1319)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! barrier argument removed from cpu_log,
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! barrier argument removed from cpu_log,
+! module interfaces removed
 !
 ! 1308 2014-03-13 14:58:42Z fricke
Index: palm/trunk/SOURCE/data_output_dvrp.f90
===================================================================
--- palm/trunk/SOURCE/data_output_dvrp.f90	(revision 1318)
+++ palm/trunk/SOURCE/data_output_dvrp.f90	(revision 1319)
@@ -18,9 +18,12 @@
 ! Current revisions:
 ! -----------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- palm/trunk/SOURCE/data_output_mask.f90	(revision 1318)
+++ palm/trunk/SOURCE/data_output_mask.f90	(revision 1319)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! barrier argument removed from cpu_log,
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! barrier argument removed from cpu_log,
+! module interfaces removed
 !
 ! 1092 2013-02-02 11:24:22Z raasch
Index: palm/trunk/SOURCE/data_output_profiles.f90
===================================================================
--- palm/trunk/SOURCE/data_output_profiles.f90	(revision 1318)
+++ palm/trunk/SOURCE/data_output_profiles.f90	(revision 1319)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! barrier argument removed from cpu_log,
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! barrier argument removed from cpu_log,
+! module interfaces removed
 !
 ! 1106 2013-03-04 05:31:38Z raasch
Index: palm/trunk/SOURCE/data_output_ptseries.f90
===================================================================
--- palm/trunk/SOURCE/data_output_ptseries.f90	(revision 1318)
+++ palm/trunk/SOURCE/data_output_ptseries.f90	(revision 1319)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! barrier argument removed from cpu_log,
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! barrier argument removed from cpu_log,
+! module interfaces removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/data_output_spectra.f90
===================================================================
--- palm/trunk/SOURCE/data_output_spectra.f90	(revision 1318)
+++ palm/trunk/SOURCE/data_output_spectra.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/data_output_tseries.f90
===================================================================
--- palm/trunk/SOURCE/data_output_tseries.f90	(revision 1318)
+++ palm/trunk/SOURCE/data_output_tseries.f90	(revision 1319)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! barrier argument removed from cpu_log.
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! barrier argument removed from cpu_log.
+! module interfaces removed
 !
 ! 1092 2013-02-02 11:24:22Z raasch
Index: palm/trunk/SOURCE/disturb_field.f90
===================================================================
--- palm/trunk/SOURCE/disturb_field.f90	(revision 1318)
+++ palm/trunk/SOURCE/disturb_field.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/disturb_heatflux.f90
===================================================================
--- palm/trunk/SOURCE/disturb_heatflux.f90	(revision 1318)
+++ palm/trunk/SOURCE/disturb_heatflux.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/exchange_horiz.f90
===================================================================
--- palm/trunk/SOURCE/exchange_horiz.f90	(revision 1318)
+++ palm/trunk/SOURCE/exchange_horiz.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1257 2013-11-08 15:18:40Z raasch
Index: palm/trunk/SOURCE/exchange_horiz_2d.f90
===================================================================
--- palm/trunk/SOURCE/exchange_horiz_2d.f90	(revision 1318)
+++ palm/trunk/SOURCE/exchange_horiz_2d.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1092 2013-02-02 11:24:22Z raasch
Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 1318)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 1319)
@@ -21,9 +21,12 @@
 ! Current revisions:
 ! -----------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1299 2014-03-06 13:15:21Z heinze
Index: palm/trunk/SOURCE/inflow_turbulence.f90
===================================================================
--- palm/trunk/SOURCE/inflow_turbulence.f90	(revision 1318)
+++ palm/trunk/SOURCE/inflow_turbulence.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1092 2013-02-02 11:24:22Z raasch
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 1318)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1316 2014-03-17 07:44:59Z heinze
Index: palm/trunk/SOURCE/lpm.f90
===================================================================
--- palm/trunk/SOURCE/lpm.f90	(revision 1318)
+++ palm/trunk/SOURCE/lpm.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/lpm_boundary_conds.f90
===================================================================
--- palm/trunk/SOURCE/lpm_boundary_conds.f90	(revision 1318)
+++ palm/trunk/SOURCE/lpm_boundary_conds.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/lpm_calc_liquid_water_content.f90
===================================================================
--- palm/trunk/SOURCE/lpm_calc_liquid_water_content.f90	(revision 1318)
+++ palm/trunk/SOURCE/lpm_calc_liquid_water_content.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/lpm_collision_kernels.f90
===================================================================
--- palm/trunk/SOURCE/lpm_collision_kernels.f90	(revision 1318)
+++ palm/trunk/SOURCE/lpm_collision_kernels.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1092 2013-02-02 11:24:22Z raasch
Index: palm/trunk/SOURCE/lpm_data_output_particles.f90
===================================================================
--- palm/trunk/SOURCE/lpm_data_output_particles.f90	(revision 1318)
+++ palm/trunk/SOURCE/lpm_data_output_particles.f90	(revision 1319)
@@ -20,9 +20,13 @@
 ! Current revisions:
 ! ------------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
+!
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/lpm_droplet_collision.f90
===================================================================
--- palm/trunk/SOURCE/lpm_droplet_collision.f90	(revision 1318)
+++ palm/trunk/SOURCE/lpm_droplet_collision.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1092 2013-02-02 11:24:22Z raasch
Index: palm/trunk/SOURCE/lpm_droplet_condensation.f90
===================================================================
--- palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 1318)
+++ palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1092 2013-02-02 11:24:22Z raasch
Index: palm/trunk/SOURCE/lpm_exchange_horiz.f90
===================================================================
--- palm/trunk/SOURCE/lpm_exchange_horiz.f90	(revision 1318)
+++ palm/trunk/SOURCE/lpm_exchange_horiz.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/lpm_set_attributes.f90
===================================================================
--- palm/trunk/SOURCE/lpm_set_attributes.f90	(revision 1318)
+++ palm/trunk/SOURCE/lpm_set_attributes.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/lpm_sort_arrays.f90
===================================================================
--- palm/trunk/SOURCE/lpm_sort_arrays.f90	(revision 1318)
+++ palm/trunk/SOURCE/lpm_sort_arrays.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/ls_forcing.f90
===================================================================
--- palm/trunk/SOURCE/ls_forcing.f90	(revision 1318)
+++ palm/trunk/SOURCE/ls_forcing.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1299 2014-03-06 13:15:21Z heinze
Index: palm/trunk/SOURCE/mod_kinds.f90
===================================================================
--- palm/trunk/SOURCE/mod_kinds.f90	(revision 1318)
+++ palm/trunk/SOURCE/mod_kinds.f90	(revision 1319)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! bugfix: default integer kind changed to single precision
 !
 ! 1306 2014-03-13 14:30:59Z raasch
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 1318)
+++ palm/trunk/SOURCE/modules.f90	(revision 1319)
@@ -20,9 +20,13 @@
 ! Current revisions:
 ! ------------------
-! module cpulog moved to new separate module-file
-! interface for cpu_log removed
+!
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module cpulog moved to new separate module-file
+! interface for cpu_log removed
 !
 ! 1314 2014-03-14 18:25:17Z suehring
Index: palm/trunk/SOURCE/nudging.f90
===================================================================
--- palm/trunk/SOURCE/nudging.f90	(revision 1318)
+++ palm/trunk/SOURCE/nudging.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1268 2013-12-12 09:47:53Z heinze
Index: palm/trunk/SOURCE/palm.f90
===================================================================
--- palm/trunk/SOURCE/palm.f90	(revision 1318)
+++ palm/trunk/SOURCE/palm.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1241 2013-10-30 11:36:58Z heinze
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 1318)
+++ palm/trunk/SOURCE/parin.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! +cpu_log_barrierwait in d3par
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! +cpu_log_barrierwait in d3par
 !
 ! 1301 2014-03-06 13:29:46Z heinze
Index: palm/trunk/SOURCE/poisfft.f90
===================================================================
--- palm/trunk/SOURCE/poisfft.f90	(revision 1318)
+++ palm/trunk/SOURCE/poisfft.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1306 2014-03-13 14:30:59Z raasch
Index: palm/trunk/SOURCE/poismg.f90
===================================================================
--- palm/trunk/SOURCE/poismg.f90	(revision 1318)
+++ palm/trunk/SOURCE/poismg.f90	(revision 1319)
@@ -23,9 +23,12 @@
 ! Current revisions:
 ! -----------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1159 2013-05-21 11:58:22Z fricke
Index: palm/trunk/SOURCE/pres.f90
===================================================================
--- palm/trunk/SOURCE/pres.f90	(revision 1318)
+++ palm/trunk/SOURCE/pres.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1306 2014-03-13 14:30:59Z raasch
Index: palm/trunk/SOURCE/print_1d.f90
===================================================================
--- palm/trunk/SOURCE/print_1d.f90	(revision 1318)
+++ palm/trunk/SOURCE/print_1d.f90	(revision 1319)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! barrier argument removed from cpu_log,
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! barrier argument removed from cpu_log,
+! module interfaces removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 1318)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1257 2013-11-08 15:18:40Z raasch
Index: palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/read_3d_binary.f90	(revision 1318)
+++ palm/trunk/SOURCE/read_3d_binary.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1115 2013-03-26 18:16:16Z hoffmann
Index: palm/trunk/SOURCE/run_control.f90
===================================================================
--- palm/trunk/SOURCE/run_control.f90	(revision 1318)
+++ palm/trunk/SOURCE/run_control.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1257 2013-11-08 15:18:40Z raasch
Index: palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 1318)
+++ palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 1319)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! barrier argument removed from cpu_log,
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! barrier argument removed from cpu_log,
+! module interfaces removed
 !
 ! 1115 2013-03-26 18:16:16Z hoffmann
Index: palm/trunk/SOURCE/surface_coupler.f90
===================================================================
--- palm/trunk/SOURCE/surface_coupler.f90	(revision 1318)
+++ palm/trunk/SOURCE/surface_coupler.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1092 2013-02-02 11:24:22Z raasch
Index: palm/trunk/SOURCE/swap_timelevel.f90
===================================================================
--- palm/trunk/SOURCE/swap_timelevel.f90	(revision 1318)
+++ palm/trunk/SOURCE/swap_timelevel.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! module interfaces removed
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1115 2013-03-26 18:16:16Z hoffmann
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 1318)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1308 2014-03-13 14:58:42Z fricke
Index: palm/trunk/SOURCE/transpose.f90
===================================================================
--- palm/trunk/SOURCE/transpose.f90	(revision 1318)
+++ palm/trunk/SOURCE/transpose.f90	(revision 1319)
@@ -20,11 +20,14 @@
 ! Current revisions:
 ! -----------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
 ! cpu_log_nowait parameter added to cpu measurements of the transpositions
 ! required for solving the Poisson equation (poisfft),
 ! module interfaces removed
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1257 2013-11-08 15:18:40Z raasch
Index: palm/trunk/SOURCE/user_actions.f90
===================================================================
--- palm/trunk/SOURCE/user_actions.f90	(revision 1318)
+++ palm/trunk/SOURCE/user_actions.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1053 2012-11-13 17:11:03Z hoffmann
Index: palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/write_3d_binary.f90	(revision 1318)
+++ palm/trunk/SOURCE/write_3d_binary.f90	(revision 1319)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1318 2014-03-17 13:35:16Z raasch
+! module interfaces removed
 !
 ! 1115 2013-03-26 18:16:16Z hoffmann