Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 1321)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 1322)
@@ -20,6 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
-!
+! REAL constants defined as wp-kind
 ! module interfaces removed
 !
@@ -1604,19 +1603,19 @@
     IF ( TRIM(timestep_scheme) == 'runge-kutta-3' )  THEN      ! for RK3-method
 
-       weight_substep(1) = 1./6.
-       weight_substep(2) = 3./10.
-       weight_substep(3) = 8./15.
-
-       weight_pres(1)    = 1./3.
-       weight_pres(2)    = 5./12.
-       weight_pres(3)    = 1./4.
+       weight_substep(1) = 1._wp/6._wp
+       weight_substep(2) = 3._wp/10._wp
+       weight_substep(3) = 8._wp/15._wp
+
+       weight_pres(1)    = 1._wp/3._wp
+       weight_pres(2)    = 5._wp/12._wp
+       weight_pres(3)    = 1._wp/4._wp
 
     ELSEIF ( TRIM(timestep_scheme) == 'runge-kutta-2' )  THEN  ! for RK2-method
 
-       weight_substep(1) = 1./2.
-       weight_substep(2) = 1./2.
+       weight_substep(1) = 1._wp/2._wp
+       weight_substep(2) = 1._wp/2._wp
           
-       weight_pres(1)    = 1./2.
-       weight_pres(2)    = 1./2.        
+       weight_pres(1)    = 1._wp/2._wp
+       weight_pres(2)    = 1._wp/2._wp        
 
     ELSE                                     ! for Euler-method
@@ -1671,6 +1670,6 @@
           DO  k = dp_level_ind_b+1, nzt
              dp_smooth_factor(k) = 0.5 * ( 1.0 + SIN( pi * &
-                  ( REAL( k - dp_level_ind_b ) /  &
-                    REAL( nzt - dp_level_ind_b ) - 0.5 ) ) )
+                  ( REAL( k - dp_level_ind_b, KIND=wp ) /  &
+                    REAL( nzt - dp_level_ind_b, KIND=wp ) - 0.5 ) ) )
           ENDDO
        ENDIF
@@ -1686,7 +1685,7 @@
        DO  i = nxl, nxr
           IF ( ( i * dx ) < pt_damping_width )  THEN
-             ptdf_x(i) = pt_damping_factor * ( SIN( pi * 0.5 *        &
-                         REAL( pt_damping_width - i * dx ) / (        &
-                         REAL( pt_damping_width )            ) ) )**2 
+             ptdf_x(i) = pt_damping_factor * ( SIN( pi * 0.5 *              &
+                         REAL( pt_damping_width - i * dx, KIND=wp ) / (                 &
+                         REAL( pt_damping_width, KIND=wp )            ) ) )**2 
           ENDIF
        ENDDO
@@ -1694,7 +1693,8 @@
        DO  i = nxl, nxr
           IF ( ( i * dx ) > ( nx * dx - pt_damping_width ) )  THEN
-             ptdf_x(i) = pt_damping_factor *                                      &
-                         SIN( pi * 0.5 * ( ( i - nx ) * dx + pt_damping_width ) / &
-                                         REAL( pt_damping_width ) )**2
+             ptdf_x(i) = pt_damping_factor *                                   &
+                         SIN( pi * 0.5 *                                       &
+                              ( ( i - nx ) * dx + pt_damping_width ) /         &
+                              REAL( pt_damping_width, KIND=wp ) )**2
           ENDIF
        ENDDO 
@@ -1702,7 +1702,8 @@
        DO  j = nys, nyn
           IF ( ( j * dy ) > ( ny * dy - pt_damping_width ) )  THEN
-             ptdf_y(j) = pt_damping_factor *                                      &
-                         SIN( pi * 0.5 * ( ( j - ny ) * dy + pt_damping_width ) / &
-                                         REAL( pt_damping_width ) )**2
+             ptdf_y(j) = pt_damping_factor *                                   &
+                         SIN( pi * 0.5 *                                       &
+                              ( ( j - ny ) * dy + pt_damping_width ) /         &
+                              REAL( pt_damping_width, KIND=wp ) )**2
           ENDIF
        ENDDO 
@@ -1710,7 +1711,8 @@
        DO  j = nys, nyn
           IF ( ( j * dy ) < pt_damping_width )  THEN
-             ptdf_y(j) = pt_damping_factor *                             &
-                         SIN( pi * 0.5 * ( pt_damping_width - j * dy ) / &
-                                         REAL( pt_damping_width ) )**2
+             ptdf_y(j) = pt_damping_factor *                                   &
+                         SIN( pi * 0.5 *                                       &
+                             ( pt_damping_width - j * dy ) /                   &
+                             REAL( pt_damping_width, KIND=wp ) )**2
           ENDIF
        ENDDO