Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 1322)
+++ palm/trunk/SOURCE/Makefile	(revision 1323)
@@ -25,4 +25,7 @@
 # -----------------
 # $Id$
+#
+# 2014-03-20 16:38:49Z raasch
+# cpulog-dependency added for disturb_heatflux
 #
 # 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- palm/trunk/SOURCE/advec_ws.f90	(revision 1322)
+++ palm/trunk/SOURCE/advec_ws.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! REAL constants defined as wp-kind
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL constants defined as wp-kind
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/average_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/average_3d_data.f90	(revision 1322)
+++ palm/trunk/SOURCE/average_3d_data.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! REAL functions provided with KIND-attribute
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL functions provided with KIND-attribute
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/calc_radiation.f90
===================================================================
--- palm/trunk/SOURCE/calc_radiation.f90	(revision 1322)
+++ palm/trunk/SOURCE/calc_radiation.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! exponent 4.0 changed to integer
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! exponent 4.0 changed to integer
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 1322)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! some REAL constants defined as wp-kind
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! some REAL constants defined as wp-kind
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/cpulog.f90
===================================================================
--- palm/trunk/SOURCE/cpulog.f90	(revision 1322)
+++ palm/trunk/SOURCE/cpulog.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! REAL functions provided with KIND-attribute
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL functions provided with KIND-attribute
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/data_output_profiles.f90
===================================================================
--- palm/trunk/SOURCE/data_output_profiles.f90	(revision 1322)
+++ palm/trunk/SOURCE/data_output_profiles.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! REAL functions provided with KIND-attribute
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL functions provided with KIND-attribute
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/data_output_spectra.f90
===================================================================
--- palm/trunk/SOURCE/data_output_spectra.f90	(revision 1322)
+++ palm/trunk/SOURCE/data_output_spectra.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! REAL functions provided with KIND-attribute
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL functions provided with KIND-attribute
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/diffusion_w.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_w.f90	(revision 1322)
+++ palm/trunk/SOURCE/diffusion_w.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! REAL constants defined as wp-kind
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL constants defined as wp-kind
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/diffusivities.f90
===================================================================
--- palm/trunk/SOURCE/diffusivities.f90	(revision 1322)
+++ palm/trunk/SOURCE/diffusivities.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! REAL constants defined as wp-kind 
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL constants defined as wp-kind
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/disturb_field.f90
===================================================================
--- palm/trunk/SOURCE/disturb_field.f90	(revision 1322)
+++ palm/trunk/SOURCE/disturb_field.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! REAL constants defined as wp-kind
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL constants defined as wp-kind
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/disturb_heatflux.f90
===================================================================
--- palm/trunk/SOURCE/disturb_heatflux.f90	(revision 1322)
+++ palm/trunk/SOURCE/disturb_heatflux.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! REAL constants defined as wp-kind
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL constants defined as wp-kind
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/fft_xy.f90
===================================================================
--- palm/trunk/SOURCE/fft_xy.f90	(revision 1322)
+++ palm/trunk/SOURCE/fft_xy.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! REAL functions provided with KIND-attribute
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL functions provided with KIND-attribute
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 1322)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 1323)
@@ -21,9 +21,12 @@
 ! Current revisions:
 ! -----------------
-! REAL constants defined as wp-kind
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL constants defined as wp-kind
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 1322)
+++ palm/trunk/SOURCE/header.f90	(revision 1323)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! REAL functions provided with KIND-attribute,
-! some REAL constants defined as wp-kind
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL functions provided with KIND-attribute,
+! some REAL constants defined as wp-kind
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/init_1d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_1d_model.f90	(revision 1322)
+++ palm/trunk/SOURCE/init_1d_model.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! REAL functions provided with KIND-attribute
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL functions provided with KIND-attribute
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 1322)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 1323)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! REAL constants defined as wp-kind
-! module interfaces removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL constants defined as wp-kind
+! module interfaces removed
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/init_advec.f90
===================================================================
--- palm/trunk/SOURCE/init_advec.f90	(revision 1322)
+++ palm/trunk/SOURCE/init_advec.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! REAL constants defined as wp-kind
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL constants defined as wp-kind
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/init_cloud_physics.f90
===================================================================
--- palm/trunk/SOURCE/init_cloud_physics.f90	(revision 1322)
+++ palm/trunk/SOURCE/init_cloud_physics.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! REAL constants defined as wp-kind
+!
 !
 ! Former revisions:
 ! ------------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL constants defined as wp-kind
 ! 
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/init_dvrp.f90
===================================================================
--- palm/trunk/SOURCE/init_dvrp.f90	(revision 1322)
+++ palm/trunk/SOURCE/init_dvrp.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! REAL constants defined as wp-kind
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL constants defined as wp-kind
 ! 
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/init_grid.f90
===================================================================
--- palm/trunk/SOURCE/init_grid.f90	(revision 1322)
+++ palm/trunk/SOURCE/init_grid.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! REAL constants defined as wp-kind
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL constants defined as wp-kind
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/init_ocean.f90
===================================================================
--- palm/trunk/SOURCE/init_ocean.f90	(revision 1322)
+++ palm/trunk/SOURCE/init_ocean.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! REAL constants defined as wp_kind
+!
 !
 ! Former revisions:
 ! ------------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL constants defined as wp_kind
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- palm/trunk/SOURCE/init_pegrid.f90	(revision 1322)
+++ palm/trunk/SOURCE/init_pegrid.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! REAL functions provided with KIND-attribute
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL functions provided with KIND-attribute
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/init_pt_anomaly.f90
===================================================================
--- palm/trunk/SOURCE/init_pt_anomaly.f90	(revision 1322)
+++ palm/trunk/SOURCE/init_pt_anomaly.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! REAL constants defined as wp_kind
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL constants defined as wp_kind
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/init_rankine.f90
===================================================================
--- palm/trunk/SOURCE/init_rankine.f90	(revision 1322)
+++ palm/trunk/SOURCE/init_rankine.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! REAL constants defined as wp_kind
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL constants defined as wp_kind
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/init_slope.f90
===================================================================
--- palm/trunk/SOURCE/init_slope.f90	(revision 1322)
+++ palm/trunk/SOURCE/init_slope.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! REAL constants defined as wp_kind
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL constants defined as wp_kind
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/local_tremain.f90
===================================================================
--- palm/trunk/SOURCE/local_tremain.f90	(revision 1322)
+++ palm/trunk/SOURCE/local_tremain.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! REAL constants defined as wp_kind
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL constants defined as wp_kind
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/local_tremain_ini.f90
===================================================================
--- palm/trunk/SOURCE/local_tremain_ini.f90	(revision 1322)
+++ palm/trunk/SOURCE/local_tremain_ini.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! REAL constants defined as wp_kind
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL constants defined as wp_kind
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/lpm_advec.f90
===================================================================
--- palm/trunk/SOURCE/lpm_advec.f90	(revision 1322)
+++ palm/trunk/SOURCE/lpm_advec.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! REAL constants defined as wp_kind
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL constants defined as wp_kind
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/lpm_collision_kernels.f90
===================================================================
--- palm/trunk/SOURCE/lpm_collision_kernels.f90	(revision 1322)
+++ palm/trunk/SOURCE/lpm_collision_kernels.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! REAL constants defined as wp_kind
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL constants defined as wp_kind
 !
 ! 1320 2014-03-20 08:40:49Z 
Index: palm/trunk/SOURCE/lpm_droplet_collision.f90
===================================================================
--- palm/trunk/SOURCE/lpm_droplet_collision.f90	(revision 1322)
+++ palm/trunk/SOURCE/lpm_droplet_collision.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! REAL constants defined as wp_kind
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL constants defined as wp_kind
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/lpm_droplet_condensation.f90
===================================================================
--- palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 1322)
+++ palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! REAL constants defined as wp-kind
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL constants defined as wp-kind
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/lpm_init.f90
===================================================================
--- palm/trunk/SOURCE/lpm_init.f90	(revision 1322)
+++ palm/trunk/SOURCE/lpm_init.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! REAL functions provided with KIND-attribute
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL functions provided with KIND-attribute
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/microphysics.f90
===================================================================
--- palm/trunk/SOURCE/microphysics.f90	(revision 1322)
+++ palm/trunk/SOURCE/microphysics.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! REAL constants defined as wp-kind
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL constants defined as wp-kind
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/netcdf.f90
===================================================================
--- palm/trunk/SOURCE/netcdf.f90	(revision 1322)
+++ palm/trunk/SOURCE/netcdf.f90	(revision 1323)
@@ -23,9 +23,12 @@
 ! Current revisions:
 ! ------------------
-! Forgotten ONLY-attribute added to USE-statements
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! Forgotten ONLY-attribute added to USE-statements
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/poismg.f90
===================================================================
--- palm/trunk/SOURCE/poismg.f90	(revision 1322)
+++ palm/trunk/SOURCE/poismg.f90	(revision 1323)
@@ -23,9 +23,12 @@
 ! Current revisions:
 ! -----------------
-! REAL constants defined as wp-kind
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL constants defined as wp-kind
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 1322)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! REAL functions provided with KIND-attribute
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL functions provided with KIND-attribute
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/surface_coupler.f90
===================================================================
--- palm/trunk/SOURCE/surface_coupler.f90	(revision 1322)
+++ palm/trunk/SOURCE/surface_coupler.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! REAL constants defined as wp-kind
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL constants defined as wp-kind
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/temperton_fft.f90
===================================================================
--- palm/trunk/SOURCE/temperton_fft.f90	(revision 1322)
+++ palm/trunk/SOURCE/temperton_fft.f90	(revision 1323)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! REAL constants defined as wp-kind
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL constants defined as wp-kind
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/timestep.f90
===================================================================
--- palm/trunk/SOURCE/timestep.f90	(revision 1322)
+++ palm/trunk/SOURCE/timestep.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! REAL functions provided with KIND-attribute
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL functions provided with KIND-attribute
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/timestep_scheme_steering.f90
===================================================================
--- palm/trunk/SOURCE/timestep_scheme_steering.f90	(revision 1322)
+++ palm/trunk/SOURCE/timestep_scheme_steering.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! REAL constants defined as wp-kind
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL constants defined as wp-kind
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/tridia_solver.f90
===================================================================
--- palm/trunk/SOURCE/tridia_solver.f90	(revision 1322)
+++ palm/trunk/SOURCE/tridia_solver.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! REAL functions provided with KIND-attribute
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL functions provided with KIND-attribute
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/user_3d_data_averaging.f90
===================================================================
--- palm/trunk/SOURCE/user_3d_data_averaging.f90	(revision 1322)
+++ palm/trunk/SOURCE/user_3d_data_averaging.f90	(revision 1323)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! REAL functions provided with KIND-attribute
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1322 2014-03-20 16:38:49Z raasch
+! REAL functions provided with KIND-attribute
 !
 ! 1320 2014-03-20 08:40:49Z raasch