Index: /palm/trunk/SOURCE/calc_spectra.f90
===================================================================
--- /palm/trunk/SOURCE/calc_spectra.f90	(revision 1324)
+++ /palm/trunk/SOURCE/calc_spectra.f90	(revision 1325)
@@ -20,9 +20,11 @@
 ! Current revisions:
 ! -----------------
-! Bugfix: nzb_x, nzb_yd, nyn_x, nyn_x, nzt_x, nzt_yd belong to transpose_indices 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1324 2014-03-21 09:13:16Z suehring
+! Bugfix: nzb_x, nzb_yd, nyn_x, nyn_x, nzt_x, nzt_yd belong to transpose_indices 
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: /palm/trunk/SOURCE/data_output_spectra.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_spectra.f90	(revision 1324)
+++ /palm/trunk/SOURCE/data_output_spectra.f90	(revision 1325)
@@ -20,10 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Bugfix: module statistics and module spectrum added, missing variables in ONLY
-! arguments added
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1324 2014-03-21 09:13:16Z suehring
+! Bugfix: module statistics and module spectrum added, missing variables in ONLY
+! arguments added
 !
 ! 1322 2014-03-20 16:38:49Z raasch
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 1324)
+++ /palm/trunk/SOURCE/header.f90	(revision 1325)
@@ -20,9 +20,11 @@
 ! Current revisions:
 ! -----------------
-! Bugfix: module spectrum added
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1324 2014-03-21 09:13:16Z suehring
+! Bugfix: module spectrum added
 !
 ! 1322 2014-03-20 16:38:49Z raasch
Index: /palm/trunk/SOURCE/init_masks.f90
===================================================================
--- /palm/trunk/SOURCE/init_masks.f90	(revision 1324)
+++ /palm/trunk/SOURCE/init_masks.f90	(revision 1325)
@@ -20,9 +20,11 @@
 ! Current revisions:
 ! -----------------
-! Bugfix: ONLY statement for module netcdf_control removed 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1324 2014-03-21 09:13:16Z suehring
+! Bugfix: ONLY statement for module netcdf_control removed 
 !
 ! 1320 2014-03-20 08:40:49Z raasch 
Index: /palm/trunk/SOURCE/package_parin.f90
===================================================================
--- /palm/trunk/SOURCE/package_parin.f90	(revision 1324)
+++ /palm/trunk/SOURCE/package_parin.f90	(revision 1325)
@@ -20,9 +20,11 @@
 ! Current revisions:
 ! -----------------
-! Bugfix: Missing variable dt_data_output output added to ONLY statement
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1324 2014-03-21 09:13:16Z suehring
+! Bugfix: Missing variable dt_data_output output added to ONLY statement
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: /palm/trunk/SOURCE/surface_coupler.f90
===================================================================
--- /palm/trunk/SOURCE/surface_coupler.f90	(revision 1324)
+++ /palm/trunk/SOURCE/surface_coupler.f90	(revision 1325)
@@ -20,9 +20,11 @@
 ! Current revisions:
 ! ------------------
-! Bugfix: ONLY statement for module pegrid removed 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1324 2014-03-21 09:13:16Z suehring
+! Bugfix: ONLY statement for module pegrid removed 
 !
 ! 1322 2014-03-20 16:38:49Z raasch
Index: /palm/trunk/SOURCE/transpose.f90
===================================================================
--- /palm/trunk/SOURCE/transpose.f90	(revision 1324)
+++ /palm/trunk/SOURCE/transpose.f90	(revision 1325)
@@ -20,9 +20,11 @@
 ! Current revisions:
 ! -----------------
-! Bugfix: ONLY statement for module pegrid removed 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1324 2014-03-21 09:13:16Z suehring
+! Bugfix: ONLY statement for module pegrid removed 
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: /palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/write_var_list.f90	(revision 1324)
+++ /palm/trunk/SOURCE/write_var_list.f90	(revision 1325)
@@ -20,9 +20,11 @@
 ! Current revisions:
 ! -----------------
-! Bugfix: ONLY statement for module netcdf_control removed 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1324 2014-03-21 09:13:16Z suehring
+! Bugfix: ONLY statement for module netcdf_control removed 
 !
 ! 1320 2014-03-20 08:40:49Z raasch